- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Windowing::CClip Class Reference

List of all members.

## Detailed Description

Applies clipping functions to the GUI.

Date:
  02/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CClip.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CClip.hpp.

## Public Member Functions

- CClip ()
- void clearClipRegion ()
- bool displayIsClipped ()
- const CRect & getCurrentClipRegion () const
- void getCurrentClipRegion (CRect &area)
- void initialise (CNativeImage *image, const CRect &area, void *context=NULL)
- void setCurrentClipRegion (const CRect &area)
- void uninitialise ()
- virtual ~CClip ()

## Protected Attributes

- CRect m_area
- CRect m_currentClip
- CNativeImage * m_image
- bool m_initialised
- bool m_isClipped
- CGContextRef m_theContext

## Constructor & Destructor Documentation

Exponent::GUI::Windowing::CClip::CClip | ( |  | ) |

Construction

virtual Exponent::GUI::Windowing::CClip::~CClip | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Windowing::CClip::clearClipRegion | ( |  | ) |

Clear the clipping region

bool Exponent::GUI::Windowing::CClip::displayIsClipped | ( |  | ) | `[inline]`

Is it currently clipped

Return values:

  | bool | True if display is clipped, false otherwise

Definition at line 94 of file CClip.hpp.

References m_isClipped.

const CRect& Exponent::GUI::Windowing::CClip::getCurrentClipRegion | ( |  | ) | const`[inline]`

Get the current clipping regiion

Return values:

  | const | CRect& The current global clipping position

Definition at line 75 of file CClip.hpp.

References m_currentClip.

void Exponent::GUI::Windowing::CClip::getCurrentClipRegion | ( | CRect & | area | ) |

Get the current clipping region

Parameters:

  | area | On return filled with the current clipping area

void Exponent::GUI::Windowing::CClip::initialise | ( | CNativeImage * | image,
|  | const CRect & | area,
|  | void * | context = `NULL` |
| ) |  |  |

Initialise

Parameters:

  | image | The native drawing image
  | area | The total onscreen window area
  | context | On Mac must be the quartz context we are associated with, on PC can be null

void Exponent::GUI::Windowing::CClip::setCurrentClipRegion | ( | const CRect & | area | ) |

Set teh current clipping region

Parameters:

  | area | The actual window position to clip

void Exponent::GUI::Windowing::CClip::uninitialise | ( |  | ) |

Uninitialise

## Member Data Documentation

CRect Exponent::GUI::Windowing::CClip::m_area`[protected]`

The total area

Definition at line 103 of file CClip.hpp.

CRect Exponent::GUI::Windowing::CClip::m_currentClip`[protected]`

Current clipping area

Definition at line 104 of file CClip.hpp.

Referenced by getCurrentClipRegion().

CNativeImage* Exponent::GUI::Windowing::CClip::m_image`[protected]`

The native draw image

Definition at line 105 of file CClip.hpp.

bool Exponent::GUI::Windowing::CClip::m_initialised`[protected]`

Are we initialised

Definition at line 106 of file CClip.hpp.

bool Exponent::GUI::Windowing::CClip::m_isClipped`[protected]`

Are we currently clipped

Definition at line 102 of file CClip.hpp.

Referenced by displayIsClipped().

CGContextRef Exponent::GUI::Windowing::CClip::m_theContext`[protected]`

Quartz context

Definition at line 110 of file CClip.hpp.